## EvPageActionWidget

EvPageActionWidget

## Synopsis

    #define             EV_TYPE_PAGE_ACTION_WIDGET
    #define             EV_PAGE_ACTION_WIDGET               (obj)
                        EvPageActionWidget;
                        EvPageActionWidgetClass;
    GType               ev_page_action_widget_get_type      (void);
    void                ev_page_action_widget_update_links_model
                                                            (EvPageActionWidget *proxy,
                                                             GtkTreeModel *model);
    void                ev_page_action_widget_set_model     (EvPageActionWidget *action_widget,
                                                             EvDocumentModel *doc_model);
    void                ev_page_action_widget_grab_focus    (EvPageActionWidget *proxy);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkToolItem
                                           +----EvPageActionWidget

## Implemented Interfaces

EvPageActionWidget implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Signals

      "activate-link"                                  : Run Last / Action

## Description

## Details

### EV_TYPE_PAGE_ACTION_WIDGET

    #define EV_TYPE_PAGE_ACTION_WIDGET (ev_page_action_widget_get_type ())

### EV_PAGE_ACTION_WIDGET()

    #define EV_PAGE_ACTION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EV_TYPE_PAGE_ACTION_WIDGET, EvPageActionWidget))

`obj` : |

### EvPageActionWidget

    typedef struct _EvPageActionWidget EvPageActionWidget;

### EvPageActionWidgetClass

    typedef struct {
    	GtkToolItemClass parent_class;

    	void (* activate_link) (EvPageActionWidget *page_action,
    			        EvLink             *link);
    } EvPageActionWidgetClass;

### ev_page_action_widget_get_type ()

    GType               ev_page_action_widget_get_type      (void);

Returns : |

### ev_page_action_widget_update_links_model ()

    void                ev_page_action_widget_update_links_model
                                                            (EvPageActionWidget *proxy,
                                                             GtkTreeModel *model);

### ev_page_action_widget_set_model ()

    void                ev_page_action_widget_set_model     (EvPageActionWidget *action_widget,
                                                             EvDocumentModel *doc_model);

### ev_page_action_widget_grab_focus ()

    void                ev_page_action_widget_grab_focus    (EvPageActionWidget *proxy);

## Signal Details

### The `"activate-link"` signal

    void                user_function                      (EvPageActionWidget *evpageactionwidget,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last / Action

`evpageactionwidget` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.